import request from '@/config/axios'

export const listRole = params => request.post({ url: '/role/listRole', params }) // 查询角色
export const addRole = data => request.post({ url: '/role/addRole', data }) // 新增角色
export const updateRole = data => request.post({ url: '/role/updateRole', data }) //修改企业/部门
export const setIsValid = params => request.post({ url: '/role/setIsvaild', params }) //设置有效状态
export const deleteRoleById = id => request.post({ url: '/role/deleteRoleById?id=' + id }) //删除
export const deleteRoleByIds = id => request.post({ url: '/role/deleteRoleByIds?ids=' + id }) //删除
export const permissionAssignment = params => request.post({ url: '/menuInterface/permissionAssignment', params }) //查询角色权限
export const setMenuByRoleId = params => request.post({ url: '/role/setMenuByRoleId', params }) //设置角色权限
